load "/apps/ncl/6.1.2/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load "/apps/ncl/6.1.2/lib/ncarg/nclscripts/csm/gsn_csm.ncl"



;purpose: given a netcdf file produced by the script of "calc_sate_demo.ncl", plot the fraction skills scores (FSS) contained in the file
;2015 Shaowu.Bao (sbao@coastal.edu)

;add the file that contains the PDF values
f=addfile("satellite_obs_and_model_demo.nc_thresholdrange_fss_pdf.nc","r")

;load fss data and their attributes
fss=f->fss_data
scale=f->scale
thres=f->threshhold

dimsiz=dimsizes(fss)
if (dimsizes(dimsiz).eq.4) then
tmp=dim_avg_n(fss,0)
else
tmp=fss
end if
tmp!1="scale"
tmp!2="thres"
tmp&scale=scale
tmp&thres=thres

thres_N=0
plot=new(4,graphic)
wks  = gsn_open_wks("png","fss")                  ; open a ps plot


; loop through the threshold values
do while (thres_N .lt. 4)

res                 = True                  
res@gsnDraw  = False                        
res@gsnFrame = False                        
res@xyLineColors      = (/"red","black","blue"/)

res@xyDashPattern      = 0   
res@xyDashPatterns     = (/0,0,0/) 
res@xyLineThicknesses = (/4.0,4.0,4.0/)  

if(thres_N .eq. 0) then
res@tiYAxisString            = "FSS for BT< "+thres(thres_N)
else
res@tiYAxisString            = thres(thres_N-1)+"< FSS for BT< "+thres(thres_N)
end if
res@tiXAxisString            = "window length (number of grids)"

res@trYMinF  = 0.0             
res@trYMaxF  =  1.0 

res@pmLegendDisplayMode    = "Always"              ; turn on legend

res@pmLegendSide           = "Top"                 ; Change location of 
res@pmLegendParallelPosF   = 0.20                   ; move units right
res@pmLegendOrthogonalPosF = -0.8                  ; more neg = down

res@pmLegendWidthF         = 0.12                  ; Change width and
res@pmLegendHeightF        = 0.25                  ; height of legend.
res@lgLabelFontHeightF     = .02                   ; change font height
res@lgPerimOn              = False                 ; no box around

res@xyExplicitLegendLabels = (/"HDRT","HDRF","HDGF"/)
res@lgLabelFontHeightF=0.1
  
data=((/tmp(0,:,thres_N), tmp(1,:,thres_N), tmp(2,:,thres_N)/))
plot(thres_N) = gsn_xy(wks,scale,data,res)      
thres_N=thres_N+1
end do


;put the plots onto a panel-plot.
resP            = True
gsn_panel(wks,plot,(/2,2/),resP) 
print("plotting successfully finished")

